%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif


%define section .final
%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion  %{version}%{?section}%{?namedreltag}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 1.0.0.final-redhat-1

Name: picketbox-commons
Summary: Common classes for security projects
Version: 1.0.0
Release: 0.6%{?section}%{?reltag}%{?dist}
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: org.picketbox-picketbox-commons-1.0.0.final-redhat-1-sources.zip
Source101: org.picketbox-picketbox-commons-1.0.0.final-redhat-1-patches.zip
Source102: picketbox-commons-1.0.0.final-redhat-1-javadoc.jar
Source103: picketbox-commons-1.0.0.final-redhat-1.jar
Source104: picketbox-commons-1.0.0.final-redhat-1.pom
Source105: picketbox-commons-1.0.0.final-redhat-1-sources.jar
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
Common classes for security projects

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}

#poms
%add_to_maven_depmap org.picketbox %{name} %{namedversion} JPP %{name}
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

#jars
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}.jar %{name}.jar)

install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-sources.jar %{name}-sources.jar)

install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-javadoc.jar %{name}-javadoc.jar)

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})


%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}

%changelog
* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.6.final_redhat_1
- Change jars install path
- Use new wrapper
- Requires jpackage-utils in javadoc subpackage
- Remove META-INF from javadoc

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-0.5.final_redhat_1
- Rebuild to use new signing key

* Wed Feb 01 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.4.final_redhat_1
- upgrade to 1.0.0.final

* Sun Jan 29 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.3.CR1_redhat_1
- fix pom to use new BOMS
- switch to rhpkg build
- fill spec file for rpm build from mead build

* Mon Aug 22 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.2.CR1.1
- wolf build

* Mon Aug 8 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.1.CR1.1
- initial mead build of picketbox-commons

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:4.0.0-0.1.Beta4.1
- Placeholder
